{"openapi":"3.1.0","info":{"title":"GET /api/v1/businesses/{business_id}/cfo-portal/cash-forecast/overrides","version":"1.0.0","description":"List cell-level overrides for the cash forecast"},"servers":[{"url":"https://api.ondayzero.com","description":"Production"}],"paths":{"/api/v1/businesses/{business_id}/cfo-portal/cash-forecast/overrides":{"get":{"tags":["cfo-portal"],"summary":"List cell-level overrides for the cash forecast","description":"List overrides for either the working set or a saved version.\n\n**Query Parameters:**\n- ``version_id``: Optional. Defaults to the user's working set\n  (``version_id IS NULL``).","operationId":"cfo_portal_list_overrides_api_v1_businesses__business_id__cfo_portal_cash_forecast_overrides_get","parameters":[{"name":"business_id","in":"path","required":true,"schema":{"type":"string","title":"Business Id"}},{"name":"version_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Saved version id to scope overrides to. Omit for the user's working override set.","title":"Version Id"},"description":"Saved version id to scope overrides to. Omit for the user's working override set."},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}},{"name":"x-business-id","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Business-Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CashForecastOverrideList"}}}},"401":{"description":"Unauthorized - Authentication required","content":{"application/json":{"example":{"detail":"Not authenticated"}}}},"403":{"description":"Forbidden - Insufficient permissions","content":{"application/json":{"example":{"detail":"Not enough permissions"}}}},"404":{"description":"Not Found - Resource does not exist","content":{"application/json":{"example":{"detail":"Resource not found"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"CashForecastOverride":{"properties":{"id":{"type":"string","title":"Id"},"business_id":{"type":"string","title":"Business Id"},"version_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Version Id"},"week_number":{"type":"integer","title":"Week Number"},"column":{"type":"string","enum":["ar_in","ap_out","inventory","debt","budget_rev","budget_exp","one_time"],"title":"Column"},"override_amount_cents":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Override Amount Cents"},"source":{"type":"string","enum":["user","ai"],"title":"Source","default":"user"},"ai_scenario_label":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Ai Scenario Label"},"note":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Note"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"updated_at":{"type":"string","format":"date-time","title":"Updated At"}},"type":"object","required":["id","business_id","week_number","column","created_at","updated_at"],"title":"CashForecastOverride","description":"Stored override row."},"CashForecastOverrideList":{"properties":{"version_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Version Id"},"items":{"items":{"$ref":"#/components/schemas/CashForecastOverride"},"type":"array","title":"Items"}},"type":"object","title":"CashForecastOverrideList"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"},"input":{"title":"Input"},"ctx":{"type":"object","title":"Context"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}},"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"API Token","description":"API token authentication. Format: `Bearer dz_...`"}}},"security":[{"BearerAuth":[]}]}